## org.apache.lucene.facet.search
Enum FacetRequest.FacetArraysSource

    java.lang.Object
      java.lang.Enum<FacetRequest.FacetArraysSource>
          org.apache.lucene.facet.search.FacetRequest.FacetArraysSource

All Implemented Interfaces:
  Serializable, Comparable<FacetRequest.FacetArraysSource>

Enclosing class:
  FacetRequest

    public static enum FacetRequest.FacetArraysSource

extends Enum<FacetRequest.FacetArraysSource>

Specifies which array of `FacetArrays` should be used to resolve values. When set to `INT` or `FLOAT`, allows creating an optimized `FacetResultsHandler`, which does not call `FacetRequest.getValueOf(FacetArrays, int)` for every ordinals.

If set to `BOTH`, the `FacetResultsHandler` will use `FacetRequest.getValueOf(FacetArrays, int)` to resolve ordinal values, although it is recommended that you consider writing a specialized `FacetResultsHandler`.

Enum Constant Summary
`BOTH`
`FLOAT`
`INT`

Method Summary
`static FacetRequest.FacetArraysSource` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static FacetRequest.FacetArraysSource[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INT

    public static final FacetRequest.FacetArraysSource INT

### FLOAT

    public static final FacetRequest.FacetArraysSource FLOAT

### BOTH

    public static final FacetRequest.FacetArraysSource BOTH

Method Detail

### values

    public static FacetRequest.FacetArraysSource[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (FacetRequest.FacetArraysSource c : FacetRequest.FacetArraysSource.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static FacetRequest.FacetArraysSource valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.